Page MenuHomePhabricator

Remove <downloadlink> and <doclink> parser functions from MW installer parser
Closed, ResolvedPublic

Description

In general when we need non-wikitext HTML displayed on-screen between two interface messages it is normal to uses existing composition features. Either message parameters, raw message parameters, or by splitting up the message.

It is not normal to solve it by registering single-use parser extension function to generate the HTML there.


Follows up from gerrit change 502041 CR. Remove these functions.

Event Timeline

Krinkle created this task.Jul 4 2019, 9:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 4 2019, 9:21 PM

Change 520808 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] installer: Fix Html::infoBox param docs and mark as internal

https://gerrit.wikimedia.org/r/520808

Change 520809 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] installer: Call getInfoBox() with raw wikitext, not transformed text

https://gerrit.wikimedia.org/r/520809

Change 520810 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] installer: Convert <downloadlink/> hack to raw message param

https://gerrit.wikimedia.org/r/520810

Change 520820 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] installer: Avoid <doclink/> hack for 'config-sidebar' rendering

https://gerrit.wikimedia.org/r/520820

Krinkle triaged this task as Medium priority.Jul 5 2019, 6:27 PM
Krinkle moved this task from Unsorted to Needs refactor on the Technical-Debt board.

Change 520808 merged by jenkins-bot:
[mediawiki/core@master] installer: Fix Html::infoBox param docs and mark as internal

https://gerrit.wikimedia.org/r/520808

Change 520809 merged by jenkins-bot:
[mediawiki/core@master] installer: Call getInfoBox() with raw wikitext, not transformed text

https://gerrit.wikimedia.org/r/520809

Change 520810 merged by jenkins-bot:
[mediawiki/core@master] installer: Convert <downloadlink/> hack to raw message param

https://gerrit.wikimedia.org/r/520810

Change 520820 merged by jenkins-bot:
[mediawiki/core@master] installer: Avoid <doclink/> hack for 'config-sidebar' rendering

https://gerrit.wikimedia.org/r/520820

(There's a few more <doclink/> uses to be fixed before it can be removed entirely from the Installer.)

Change 524066 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] installer: Remove <doclink/> parser function and last use of it

https://gerrit.wikimedia.org/r/524066

Change 524066 merged by jenkins-bot:
[mediawiki/core@master] installer: Remove <doclink/> parser function and last use of it

https://gerrit.wikimedia.org/r/524066

Krinkle closed this task as Resolved.Jul 19 2019, 6:20 PM